Bug 140896 - Graphical greeter causes system to hang
Graphical greeter causes system to hang
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdm (Show other bugs)
4.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-26 02:08 EST by Codestrom
Modified: 2010-07-08 23:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 23:42:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Codestrom 2004-11-26 02:08:38 EST
Description of problem: With a totally fresh install of RHEL Beta the
graphical greeter will cause the system to hang on startup.  Even
after all updates the problem still persists.  Something that I
believe to be related is unless you login as root I'm unable to logout
and relogin.  This problem makes the system fail to boot properly over
50% of the time.  Pressing ctl+alt+F1 will sometimes drop you to a
terminal where you can try to debug the process.  Changing to the
standard greeter solves these problems.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Suzanne Hillman 2004-11-29 11:23:41 EST
What is the hardware of the system having this problem?

Can you reproduce it on more than one machine?

And what do you mean by 'graphical greeter'? The graphical login screen?
Firstboot? Something else?
Comment 2 Codestrom 2004-11-29 15:15:54 EST
HP n5495 Laptop 512Mb RAM. Intel 830m chipset video driver with the most recent
i915 driver.  GLX, DRI and all other video related issues are working great.  I
will try to reproduce on another machine later today.  What logs would be most
helpful?  There are different fail points, but the most common is the login
screen simply not loading.  After that it occasionally hangs on the RH splash
page.  If this doesn't happen on another machine later today I'd guess that it's
because I'm using 855resolution.  Intel 810, 815, 830m, 855 have a problem in
that the bios doesn't show that the video can do 1400x1050.  Anyhow, it's worked
great in past on every dist of linux I've used so....  Is there some sort of
bios checking happening at startup and during login?
Comment 3 Suzanne Hillman 2004-11-29 17:03:22 EST
(note: I am bug triager, and don't actually know the answer to the questions you
asked)

I am confused as to what you mean by 'standard' greeter. I am given to
understand that there are two login screens for gdm, plus the text-based login
on non-X screens. I am guessing you are talking about the gdm login screen in
both cases, when you refer to the graphical and standard greeters? Or are you
meaning gdm vs non-X text-based login?
Comment 4 Matěj Cepl 2008-05-26 06:38:56 EDT
Reporter, is this bug still reproduceable on the latest upgrade of RHEL 4? Seems
to me like it is just a forgotten here.

Note You need to log in before you can comment on or make changes to this bug.